/* just a little theme to make my static pages nicer */

:root {
	--fg: #c991e1;
	--bg: #1b182c;
}

@font-face {
	font-family: 'Source Serif Pro';
	src: url('/fonts/SourceSerifPro-Regular.woff2');
}

@font-face {
	font-family: 'Fantasque Sans Mono';
	src: url('/fonts/FantasqueSansMono-Regular.woff2');
}

@font-face {
	font-family: 'Dancing Script';
	src: url('/fonts/DancingScript-Regular.woff2');
}

@font-face {
	font-family: "Hina Mincho";
	src: url("/fonts/HinaMincho-Regular.woff2");
}

body {
	color: var(--fg);
	background-color: var(--bg);
	font-family: "Source Serif Pro", "Hina Mincho", serif !important;
	font-size: 13pt;

	margin: 1em;
	display: flex;
	flex-direction: column;
	align-items: center;
}

pre {
	line-height: 1em;
	padding-left: 2ch;
	font-family: "Fantasque Sans Mono", monospace;
	font-size: 0.6em;
}

#tagline {
	text-align: center;
}

p {
	margin-top: 0;
}

a {
	color: var(--fg);
	text-decoration: none;
}

a:hover:not([disabled]) {
	color: var(--bg);
	background-color: var(--fg);
}

.reversed * {
	color: var(--bg);
	background-color: var(--fg);
}

.reversed a:hover:not([disabled]) {
	color: var(--fg);
	background-color: var(--bg);
}

a[disabled] {
	cursor: not-allowed !important;
}

ul, ol {
	padding-left: 2em;
}

li {
	list-style: none;
	margin-bottom: .5em;
	/* list-style-image: url("/webgoodies/bullets/pink_bullet.png"); */
}

li::before {
	content: "❥";
	margin-right: .5em;
}

span#new-header {
	margin: 0 0 1rem 0;
	font-family: "Dancing Script", "Hina Mincho"; 
	font-size: 3em;	
}
